### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class ConnectionFactoryManager

java.lang.Object
com.sas.iom.orb.LoggerFactory
com.sas.services.connection.LoggerFactory
com.sas.services.connection.ConnectionFactoryManager

Direct Known Subclasses:
  `PlatformConnectionFactoryManager`

@SASScope("ALL") @BinaryCompatibilityOnly public class ConnectionFactoryManager extends LoggerFactory
A factory of connection factories. This class creates `connection factories` that match a desired `configuration`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static ConnectionFactoryManager`
  `defaultManager`
  The default connection factory manager.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionFactoryManager()`
  Construct a new connection factory manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final void`
  `activateShell(ConnectionFactoryShell shell, ConnectionFactoryConfiguration cxfConfig, LoggerFactory loggerFactory)`
  `static ConnectionFactoryInterface`
  `getConnectionFactory(ConnectionFactoryConfiguration cxfConfig)`
  Creates a connection factory that matches a desired configuration.
  `static String`
  `getConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)`
  Deprecated.
  all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively.
  `final ConnectionFactoryInterface`
  `getFactory(ConnectionFactoryConfiguration cxfConfig)`
  Creates a connection factory that matches a desired configuration.
  `final String`
  `getFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)`
  Deprecated.
  all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively.
  `protected final void`
  `removeKernel(ConnectionFactoryKernel kernel)`

  ### Methods inherited from class com.sas.services.connection.LoggerFactory

  `getConnectionServiceLogger, getLogger, wrap`

  ### Methods inherited from class com.sas.iom.orb.LoggerFactory

  `formatOrderedPair, getLogger, isLoggable, isLoggableFINE, isLoggableFINER, isLoggableFINEST, isLoggableRecord, isLoggableSEVERE`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### defaultManager

    public static ConnectionFactoryManager defaultManager
    The default connection factory manager.

- ## Constructor Details

  - ### ConnectionFactoryManager

    public ConnectionFactoryManager()
    Construct a new connection factory manager.

- ## Method Details

  - ### getFactoryLoggerName

    public final String getFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)
    Deprecated.
    all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.
    Get the name of the logger that is unique given this manager and the specified configuration.
    Parameters:
      `cxfConfig` - the desired configuration. Cannot be null.
    Returns:
      a unique logger name

  - ### getFactory

    public final ConnectionFactoryInterface getFactory(ConnectionFactoryConfiguration cxfConfig) throws ConnectionFactoryException
    Creates a connection factory that matches a desired configuration. The factory will be managed by this connection factory manager. If such a connection factory already exists in this manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.
    Parameters:
      `cxfConfig` - the desired configuration. Cannot be null.
    Returns:
      a connection factory matching the desired configuration
    Throws:
      `ConnectionFactoryException` - if the configuration is invalid

  - ### getConnectionFactoryLoggerName

    public static String getConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)
    Deprecated.
    all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.
    Get the name of the logger that is unique given the default manager and the specified configuration.
    Parameters:
      `cxfConfig` - the desired configuration. Cannot be null.
    Returns:
      a unique logger name

  - ### getConnectionFactory

    public static ConnectionFactoryInterface getConnectionFactory(ConnectionFactoryConfiguration cxfConfig) throws ConnectionFactoryException
    Creates a connection factory that matches a desired configuration. The factory will be managed by the default connection factory manager. If such a connection factory already exists in the default manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.
    Parameters:
      `cxfConfig` - the desired configuration. Cannot be null.
    Returns:
      a connection fatory matching the desired configuration
    Throws:
      `ConnectionFactoryException` - if the configuration is invalid

  - ### activateShell

    protected final void activateShell(ConnectionFactoryShell shell, ConnectionFactoryConfiguration cxfConfig, LoggerFactory loggerFactory) throws ConnectionFactoryException
    Throws:
      `ConnectionFactoryException`

  - ### removeKernel

    protected final void removeKernel(ConnectionFactoryKernel kernel)